CREATE TABLE cmr_accrual_clr_amts (
    ACCRUAL_CLR_ID                   NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ACCOUNT_ID               NUMBER(18, 0) ,
    CHART_OF_ACCOUNTS_ID             NUMBER(18, 0) ,
    SOLD_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    ACCRUAL_PROCESSED_FLAG           VARCHAR2(4)   ,
    DELIVERY_PROCESSED_FLAG          VARCHAR2(4)   ,
    CMR_ACCRUAL_AMT                  NUMBER        ,
    AP_ACCRUAL_AMT                   NUMBER        ,
    ACCRUAL_CLR_AMT                  NUMBER        ,
    ENTERED_AMOUNT                   NUMBER        ,
    LATEST_TXN_DATE                  TIMESTAMP(6)      NOT NULL,
    EVENT_TYPE_CODE                  VARCHAR2(100)     NOT NULL,
    TRANSACTION_TYPE_CODE            VARCHAR2(160) ,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID        NUMBER(18, 0) ,
    DESTINATION_TYPE_CODE            VARCHAR2(100) ,
    CMR_PO_LINE_LOCATION_ID          NUMBER(18, 0) ,
    ACCRUAL_CLR_MODE                 VARCHAR2(120) ,
    REVERSAL_ACCRUAL_CLR_ID          NUMBER(18, 0) ,
    ACCRUAL_CLR_RULE_NAME            VARCHAR2(100) ,
    ACCRUAL_CLR_REASON_DESC          VARCHAR2(400)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    RECEIVED_QTY                     NUMBER        ,
    INVOICE_QTY                      NUMBER        ,
    CMR_ACCRUAL_AMT_ACCRUAL          NUMBER        ,
    CMR_ACCRUAL_AMT_NONRECTAX        NUMBER        ,
    AP_ACCRUAL_AMT_ACCRUAL           NUMBER        ,
    AP_ACCRUAL_AMT_NONRECTAX         NUMBER        ,
    BILL_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE         NUMBER        ,
    CURRENCY_CONVERSION_DATE         TIMESTAMP(6)  ,
    ENTERED_CMR_ACCRUAL_AMT          NUMBER        ,
    ENTERED_CMR_NONRECTAX_AMT        NUMBER        ,
    ENTERED_AP_ACCRUAL_AMT           NUMBER        ,
    ENTERED_AP_NONRECTAX_AMT         NUMBER        ,
    LATEST_ACCOUNTING_EVENT_ID       NUMBER(18, 0) ,
    LATEST_CMR_AP_INVOICE_DIST_ID    NUMBER(18, 0) ,
    ACCRUAL_CLR_GROUP_ID             NUMBER(18, 0) ,
    LE_TIMEZONE_CODE                 VARCHAR2(200) ,
    CMR_ACCRUAL_AMT_RECTAX           NUMBER        ,
    AP_ACCRUAL_AMT_RECTAX            NUMBER        ,
    STATUS                           VARCHAR2(320) ,
    ACCRUAL_REASON                   VARCHAR2(4000),
    ACCRUAL_CLR_ID                   NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_ACCOUNT_ID               NUMBER(18, 0) ,
    CHART_OF_ACCOUNTS_ID             NUMBER(18, 0) ,
    SOLD_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    CMR_ACCRUAL_AMT                  NUMBER        ,
    AP_ACCRUAL_AMT                   NUMBER        ,
    ACCRUAL_CLR_AMT                  NUMBER        ,
    ENTERED_AMOUNT                   NUMBER        ,
    LATEST_TXN_DATE                  TIMESTAMP(6)      NOT NULL,
    EVENT_TYPE_CODE                  VARCHAR2(100)     NOT NULL,
    INVENTORY_ITEM_ID                NUMBER(18, 0) ,
    INVENTORY_ORGANIZATION_ID        NUMBER(18, 0) ,
    DESTINATION_TYPE_CODE            VARCHAR2(100) ,
    REVERSAL_ACCRUAL_CLR_ID          NUMBER(18, 0) ,
    ACCRUAL_CLR_RULE_NAME            VARCHAR2(100) ,
    ACCRUAL_CLR_REASON_DESC          VARCHAR2(400)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    TRANSACTION_TYPE_CODE            VARCHAR2(160) ,
    CMR_PO_LINE_LOCATION_ID          NUMBER(18, 0) ,
    ACCRUAL_CLR_MODE                 VARCHAR2(120) ,
    RECEIVED_QTY                     NUMBER        ,
    INVOICE_QTY                      NUMBER        ,
    CMR_ACCRUAL_AMT_ACCRUAL          NUMBER        ,
    CMR_ACCRUAL_AMT_NONRECTAX        NUMBER        ,
    AP_ACCRUAL_AMT_ACCRUAL           NUMBER        ,
    AP_ACCRUAL_AMT_NONRECTAX         NUMBER        ,
    BILL_TO_BUSINESS_UNIT_ID         NUMBER(18, 0) ,
    CURRENCY_CONVERSION_RATE         NUMBER        ,
    CURRENCY_CONVERSION_DATE         TIMESTAMP(6)  ,
    ENTERED_CMR_ACCRUAL_AMT          NUMBER        ,
    ENTERED_CMR_NONRECTAX_AMT        NUMBER        ,
    ENTERED_AP_ACCRUAL_AMT           NUMBER        ,
    ENTERED_AP_NONRECTAX_AMT         NUMBER        ,
    LATEST_ACCOUNTING_EVENT_ID       NUMBER(18, 0) ,
    LATEST_CMR_AP_INVOICE_DIST_ID    NUMBER(18, 0) ,
    ACCRUAL_CLR_GROUP_ID             NUMBER(18, 0) ,
    ACCRUAL_PROCESSED_FLAG           VARCHAR2(4)   ,
    DELIVERY_PROCESSED_FLAG          VARCHAR2(4)   ,
    LE_TIMEZONE_CODE                 VARCHAR2(200) ,
    CMR_ACCRUAL_AMT_RECTAX           NUMBER        ,
    AP_ACCRUAL_AMT_RECTAX            NUMBER        ,
    STATUS                           VARCHAR2(320) ,
    ACCRUAL_REASON                   VARCHAR2(4000),
    CONSTRAINT pk_cmr_accrual_clr_amts PRIMARY KEY (ACCRUAL_CLR_ID, ACCRUAL_CLR_ID)
);
